Subject: bug#73081: closed (Re: bug#73081: installer crash: iso-codes is too old)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 28 Sep 2024 13:49:02 +0000

Your bug report

#73081: installer crash: iso-codes is too old

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
73081: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73081
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#73081: installer crash: iso-codes is too old
From: Ludovic Courtès <[email-masked]>
To: Roman Scherer <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 28 Sep 2024 15:47:34 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Roman,

Roman Scherer <[email-masked]> skribis:

> I tried to address the comments mentioned by Ludo and tested them by
> booting into the installer. It seems to work now. I don't see it
> crashing anymore.
>
> Please find the patches attached to this mail.
>
> Could you please review them, and if ok merge them?

Pushed:

  e076b8b884 installer: Use the latest ‘iso-codes’.
  2ae666c471 gnu: Add iso-codes.
  8e5c8303a4 gnu: iso-codes: Rename to iso-codes/pinned.

I tweaked the commit logs and added a comment in ‘installer.scm’ about
the choice of the ‘iso-codes’ version.

Thank you!

Ludo’.

Subject: installer crash: iso-codes is too old
From: Ricardo Wurmus <[email-masked]>
To: [email-masked]
Date: Fri, 06 Sep 2024 20:28:40 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

The installer crashes because the "tok" language is not included in our
old version of the iso-codes package.

Upgrading it to 4.16.0 should fix it, but it is unclear whether this
would result in mass rebuilds.  There is iso-codes/official and a
derived iso-codes.  GTK+ uses iso-codes/official with a note to switch
to iso-codes on "core-updates".  So this change would likely cause mass
rebuilds via the gtk+ package.

-- 
Ricardo